Generic Image Library: planar_pixel_reference< ChannelReference, ColorSpace > Struct Template Reference

###  | #  |

Public Types | Public Member Functions | Static Public Attributes | List of all members
planar_pixel_reference< ChannelReference, ColorSpace > Struct Template Reference
Pixel » Models » planar_pixel_reference | ColorBase » Models » planar_pixel_reference | PixelBased » Models

A reference proxy to a planar pixel. More...

`#include <planar_pixel_reference.hpp>`

## Public Types
using | parent_t
using | value_type = pixel<channel_t,layout<ColorSpace>>
using | reference = planar_pixel_reference<ChannelReference, ColorSpace>
using | const_reference = planar_pixel_reference<channel_const_reference,ColorSpace>

## Public Member Functions
| planar_pixel_reference (ChannelReference v0, ChannelReference v1)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1, ChannelReference v2)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1, ChannelReference v2, ChannelReference v3)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1, ChannelReference v2, ChannelReference v3, ChannelReference v4)
| planar_pixel_reference (ChannelReference v0, ChannelReference v1, ChannelReference v2, ChannelReference v3, ChannelReference v4, ChannelReference v5)
| planar_pixel_reference (planar_pixel_reference const &p)
auto | operator= (planar_pixel_reference const &p) const -> planar_pixel_reference const &
template<typename Pixel >
| planar_pixel_reference (Pixel const &p)
template<typename Pixel >
auto | operator= (Pixel const &p) const -> planar_pixel_reference const &
template<typename ChannelV , typename Mapping >
| planar_pixel_reference (pixel< ChannelV, layout< ColorSpace, Mapping > > &p)
template<typename ChannelPtr >
| planar_pixel_reference (planar_pixel_iterator< ChannelPtr, ColorSpace > const &p, std::ptrdiff_t diff)
template<typename Pixel >
bool | operator== (Pixel const &p) const
template<typename Pixel >
bool | operator!= (Pixel const &p) const
auto | operator[] (std::size_t i) const -> ChannelReference
auto | operator-> () const -> planar_pixel_reference const *

## Static Public Attributes
static constexpr bool | is_mutable = channel_traits<ChannelReference>::is_mutable

## Detailed Description

template<typename ChannelReference, typename ColorSpace>
struct boost::gil::planar_pixel_reference< ChannelReference, ColorSpace >

A reference proxy to a planar pixel.

A reference to a planar pixel is a proxy class containing references to each of the corresponding channels. Models: HomogeneousColorBaseConcept, HomogeneousPixelConcept

Template Parameters

  ChannelReference | A channel reference, either const or mutable
  ColorSpace |

## Member Typedef Documentation

## ◆ parent_t

template<typename ChannelReference , typename ColorSpace >

using parent_t

Initial value:
detail::homogeneous_color_base
<
ChannelReference,
layout<ColorSpace>,
mp11::mp_size<ColorSpace>::value
>

The documentation for this struct was generated from the following files:

- metafunctions.hpp
- planar_pixel_iterator.hpp
- planar_pixel_reference.hpp